Bug 1295244 - scipy contain problematic content
scipy contain problematic content
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scipy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-03 19:20 EST by mejiko
Modified: 2017-02-09 17:26 EST (History)
6 users (show)

See Also:
Fixed In Version: scipy-0.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-09 17:26:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2016-01-03 19:20:59 EST
Hello.

scipy included non-free image. 
This is "Lena" (Lenna) image. (DAT file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.
Comment 1 mejiko 2016-01-04 03:48:56 EST
I check source RPM (*.src.rpm) and source archive (E,g tar.gz, etc...).
Not Binary RPM (*.rpm).

Thanks.
Comment 2 mejiko 2016-01-04 05:13:14 EST
Additional Information

File Path:

"scipy-0.14.1/scipy/misc/lena.dat"


Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 3 Jan Kurik 2016-02-24 09:12:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Thomas Spura 2017-02-09 17:23:02 EST
Starting from 0.17, the image should be removed:
https://github.com/scikit-learn/scikit-learn/issues/5739
https://github.com/scipy/scipy/pull/5162

So no current fedora should ship Lena anymore

Note You need to log in before you can comment on or make changes to this bug.